Skip to main content

OpenID Logout

POST 

/external/openidauth/logout

Backchannel logout endpoint for OpenID Connect. Accepts a logout_token JWT from the configured identity provider and revokes any active mod.io access tokens for the referenced user. Returns 200 with an empty JSON object.

Request

Error Codes

Status CodeError RefDescription
4016

The api_key supplied in the request could not be found.

40111032

mod.io was unable to verify the credentials against the external service provider.

40111089

The signature verification of the OpenID config failed.

40111091

The audience configured in the OpenID config does not match the audience in the ID token.

40114001

The game associated with the supplied api_key is currently not available.

40311016

The api_key supplied in the request must be associated with a game.

40311017

The api_key supplied in the request is for test environment purposes only and cannot be used for this functionality.

40311086

You must configure your OpenID config for your game in your game authentication settings before being able to authenticate users.

See here for more details about errors.

Responses

Successful Request. Empty Body Returned.